# This is a shell script that calls functions and scripts from
# tml@iki.fi's personal work environment. It is not expected to be
# usable unmodified by others, and is included only for reference.

MOD=pkg-config
VER=0.23-1
THIS=$MOD-$VER
HEX=`echo $THIS | md5sum | cut -d' ' -f1`
GLIB=glib-2.4.7 # Pick some oldish GLib just not to depend on a "too" new GLib
sed -e 's/need_relink=yes/need_relink=no # no way --tml/' <ltmain.sh >ltmain.temp && mv ltmain.temp ltmain.sh
usedev
unset MY_PKG_CONFIG_PATH
PATH=/devel/dist/$GLIB/bin:$PATH
PKG_CONFIG_PATH=/devel/dist/$GLIB/lib/pkgconfig:$PKG_CONFIG_PATH
mkdir /devel/target/$HEX
patch <<'EOF'
diff -ru ../orig-0.23/main.c ./main.c
--- ../orig-0.23/main.c	2008-01-17 00:06:48.000000000 +0200
+++ ./main.c	2008-02-18 21:27:22.651750000 +0200
@@ -38,9 +38,13 @@
 
 #ifdef G_OS_WIN32
 /* No hardcoded paths in the binary, thanks */
-#undef PKGLIBDIR
-/* It's OK to leak this, as PKGLIBDIR is invoked only once */
-#define PKG_CONFIG_PATH g_strconcat (g_win32_get_package_installation_directory (PACKAGE, NULL), "\\lib\\pkgconfig", NULL)
+/* It's OK to leak this */
+#undef PKG_CONFIG_PC_PATH
+#define PKG_CONFIG_PC_PATH \
+  g_strconcat (g_win32_get_package_installation_subdirectory (NULL, NULL, "lib/pkgconfig"), \
+	       ";", \
+	       g_win32_get_package_installation_subdirectory (NULL, NULL, "share/pkgconfig"), \
+	       NULL)
 #endif
 
 static int want_debug_spew = 0;
EOF
CC='gcc -mtune=pentium3 -mms-bitfields' CPPFLAGS="`$PKG_CONFIG --cflags glib-2.0`" LDFLAGS="`$PKG_CONFIG --libs glib-2.0` -L/opt/gnu/lib" CFLAGS=-O2 ./configure --disable-static --prefix=c:/devel/target/$HEX &&
PATH=/devel/target/$HEX/bin:.libs:$PATH make install &&
(cd /devel/target/$HEX && zip /tmp/$THIS.zip bin/pkg-config.exe man/man1/pkg-config.1 share/aclocal/pkg.m4) &&
(cd /devel/src/tml && zip /tmp/$THIS.zip make/$THIS.sh) &&
manifestify /tmp/$MOD*-$VER.zip
